Subject: Re: bug#16182: Acknowledgement (24.3.50; ruby-mode: Indentation style of multiline literals with hanging open paren inside other parens)

From: Adam Doppelt <[email-masked]>
Date: Sat, 21 Dec 2013 11:32:51 -0800

> This example is indented just like Robocop master likes with (AlignWith: variable):
>
> b = a = if 3 == 4
>       1
>     else
>       2
>     end
>
> Someone correct me if I'm wrong, but I suspect that users who like less indentation would prefer to have the `if' body and closer to be aligned to the beginning of the statement, rather than to `a'.

That's right - ideally it would be formatted like so:

b = a = if 3 == 4
  1
else
  2
end

I think 'ruby-align-to-stmt-keywords' is a perfectly fine name, btw.